> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kryptonfund.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Api Query

> Route the incoming query through the strands orchestrator.



## OpenAPI

````yaml /api-reference/krypton_clark.json post /api/v1/agents/query
openapi: 3.1.0
info:
  title: Krypton Strands Orchestrator
  description: Multi-agent orchestration service powered by strands.
  version: 0.1.0
servers:
  - url: https://agent.kryptonfund.com/
    description: Production API
  - url: http://127.0.0.1:8002
    description: Local API
security: []
paths:
  /api/v1/agents/query:
    post:
      summary: Api Query
      description: Route the incoming query through the strands orchestrator.
      operationId: api_query_api_v1_agents_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryPayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QueryPayload:
      properties:
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
          description: Natural language query
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: User ID for session tracking
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
          description: Username for personalization
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
          description: Session ID for session tracking
        top_n:
          anyOf:
            - type: integer
              maximum: 50
              minimum: 1
            - type: 'null'
          title: Top N
        include_search:
          type: boolean
          title: Include Search
          default: true
        content:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Content
          description: Interrupt responses as content blocks
      type: object
      title: QueryPayload
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````